
from pydantic import BaseModel, Field
import random
from typing import List, Optional

class User(BaseModel):
    id: int
    name: str
    age: Optional[int] = None
    email: Optional[str] = None

def generate_random_users(num_users: int):
    users = []
    for _ in range(num_users):
        user = User(
            id=random.randint(1, 1000),
            name=f"User_{random.randint(1, 1000)}",
            age=random.randint(18, 70),
            email=f"user{random.randint(1, 1000)}@example.com"
        )
        users.append(user)
    return users

